Re: [PATCH v4 2/2] log, show: add tests for messages containing CRLF

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



> Le 21 oct. 2020 à 23:01, Philippe Blain via GitGitGadget <gitgitgadget@xxxxxxxxx> a écrit :
> 
> From: Philippe Blain <levraiphilippeblain@xxxxxxxxx>
> 
> A previous commit fixed a bug in ref-filter.c causing messages
> containing CRLF to be incorrectly parsed and displayed.
> 
> Add tests to also check that `git log` and `git show` correctly handle
> such messages, to prevent futur regressions if these commands are
> refactored to use the ref-filter API.
> 
> Signed-off-by: Philippe Blain <levraiphilippeblain@xxxxxxxxx>
> ---
> t/t3920-crlf-messages.sh | 18 ++++++++++++++++++
> 1 file changed, 18 insertions(+)
> 
> diff --git a/t/t3920-crlf-messages.sh b/t/t3920-crlf-messages.sh
> index 3f0ce02c3f..b6e09be412 100755
> --- a/t/t3920-crlf-messages.sh
> +++ b/t/t3920-crlf-messages.sh
> @@ -105,4 +105,22 @@ test_crlf_subject_body_and_contents tag --list tag-crlf*
> 
> test_crlf_subject_body_and_contents for-each-ref refs/heads/crlf*
> 
> +test_expect_success 'log: --oneline works with messages using CRLF' '
> +	for branch in $LIB_CRLF_BRANCHES
> +	do
> +		cat .crlf-subject-${branch}.txt >expect &&
> +		printf "\n" >>expect &&
> +		git log --oneline -1 ${branch} >tmp-branch &&
> +		git log --oneline -1 tag-${branch} >tmp-tag &&
> +		cut -d" " -f2- <tmp-branch >actual-branch &&
> +		cut -d" " -f2- <tmp-tag >actual-tag &&
> +		test_cmp expect actual-branch &&
> +		test_cmp expect actual-tag
> +	done

I just realized that I'm missing this in this patch :

diff --git a/t/t3920-crlf-messages.sh b/t/t3920-crlf-messages.sh
index b6e09be412..70ddce3a2e 100755
--- a/t/t3920-crlf-messages.sh
+++ b/t/t3920-crlf-messages.sh
@@ -115,7 +115,7 @@ test_expect_success 'log: --oneline works with messages using CRLF' '
 		cut -d" " -f2- <tmp-branch >actual-branch &&
 		cut -d" " -f2- <tmp-tag >actual-tag &&
 		test_cmp expect actual-branch &&
-		test_cmp expect actual-tag
+		test_cmp expect actual-tag || return 1
 	done
 '

I'll wait a few days for any further comments and re-send with this tweak.

Philippe.



[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]

  Powered by Linux